﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Megrendeles.aspx.cs" Inherits="WebApplication1.Megrendeles" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Megrendelés</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        Vevő<br />
        <asp:DropDownList ID="cbVevo" runat="server" AutoPostBack="True" 
            DataSourceID="dsVevo" DataTextField="Nev" DataValueField="ID">
        </asp:DropDownList>
        <asp:SqlDataSource ID="dsVevo" runat="server" 
            ConnectionString="<%$ ConnectionStrings:KFConnectionString %>" 
            SelectCommand="SELECT [ID], [Nev] FROM [Vevo]"></asp:SqlDataSource>
    
    </div>
    <p>
        Megrendelés<br />
        <asp:GridView ID="vMegrendeles" runat="server" AllowPaging="True" 
            AllowSorting="True" AutoGenerateColumns="False" CellPadding="4" 
            DataKeyNames="ID" DataSourceID="dsMegrendeles" 
            EmptyDataText="Nincs Megrendelés" ForeColor="#333333" GridLines="None" 
            PageSize="5" SelectedIndex="0">
            <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
            <Columns>
                <asp:CommandField ShowSelectButton="True" />
                <asp:BoundField DataField="ID" HeaderText="ID" InsertVisible="False" 
                    ReadOnly="True" SortExpression="ID" Visible="False" />
                <asp:BoundField DataField="Datum" HeaderText="Datum" SortExpression="Datum" />
                <asp:BoundField DataField="Hatarido" HeaderText="Hatarido" 
                    SortExpression="Hatarido" />
                <asp:BoundField DataField="Státusz" HeaderText="Státusz" 
                    SortExpression="Státusz" />
                <asp:BoundField DataField="Varos" HeaderText="Varos" SortExpression="Varos" />
                <asp:BoundField DataField="VevoID" HeaderText="VevoID" SortExpression="VevoID" 
                    Visible="False" />
            </Columns>
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:SqlDataSource ID="dsMegrendeles" runat="server" 
            ConnectionString="<%$ ConnectionStrings:KFConnectionString %>" 
            SelectCommand="SELECT Megrendeles.ID, Megrendeles.Datum, Megrendeles.Hatarido, Statusz.Nev AS Státusz, Telephely.Varos, Telephely.VevoID FROM Megrendeles INNER JOIN Telephely ON Megrendeles.TelephelyID = Telephely.ID INNER JOIN Statusz ON Megrendeles.StatuszID = Statusz.ID WHERE (Telephely.VevoID = @VevoID)">
            <SelectParameters>
                <asp:ControlParameter ControlID="cbVevo" Name="VevoID" 
                    PropertyName="SelectedValue" />
            </SelectParameters>
        </asp:SqlDataSource>
    </p>
    <p>
        &nbsp;</p>
    <p>
        Tételek<br />
        <asp:GridView ID="GridView1" runat="server" AllowSorting="True" 
            AutoGenerateColumns="False" CellPadding="4" DataSourceID="dsTetelek" 
            ForeColor="#333333" GridLines="None">
            <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
            <Columns>
                <asp:BoundField DataField="Termék" HeaderText="Termék" 
                    SortExpression="Termék" />
                <asp:BoundField DataField="Mennyiség" HeaderText="Mennyiség" 
                    SortExpression="Mennyiség" />
                <asp:BoundField DataField="Nettó ár" HeaderText="Nettó ár" 
                    SortExpression="Nettó ár" />
                <asp:BoundField DataField="Státusz" HeaderText="Státusz" 
                    SortExpression="Státusz" />
            </Columns>
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
        </asp:GridView>
        <asp:SqlDataSource ID="dsTetelek" runat="server" 
            ConnectionString="<%$ ConnectionStrings:KFConnectionString %>" 
            SelectCommand="SELECT Termek.Nev AS Termék, MegrendelesTetel.Mennyiseg AS Mennyiség, MegrendelesTetel.NettoAr AS [Nettó ár], Statusz.Nev AS Státusz FROM MegrendelesTetel INNER JOIN Termek ON MegrendelesTetel.TermekID = Termek.ID INNER JOIN Statusz ON MegrendelesTetel.StatuszID = Statusz.ID WHERE (MegrendelesTetel.MegrendelesID = @MegrendelesID)">
            <SelectParameters>
                <asp:ControlParameter ControlID="vMegrendeles" Name="MegrendelesID" 
                    PropertyName="SelectedValue" />
            </SelectParameters>
        </asp:SqlDataSource>
    </p>
    </form>
</body>
</html>
